package com.sobot.screencapturesdk.application;

import android.app.Application;
import android.content.Context;
import android.content.Intent;

import com.sobot.network.apiUtils.SobotBaseUrl;
import com.sobot.network.apiUtils.SobotHttpUtils;
import com.sobot.network.http.log.SobotNetLogUtils;


public class SobotApp extends Application{

	private static Context mContext;

	@Override
	public void onCreate() {
		super.onCreate();
		mContext = this;
		SobotBaseUrl.setApi_Host("http://test.sobot.com");
		SobotHttpUtils.init(this);
		SobotNetLogUtils.setShowDebug(true);

		//外部app启动 事例代码
//		Intent intent=new Intent();
//		intent.setAction("com.sobot.cuptercontrol");
//		intent.putExtra("sessionId","02a22b62828d4f62bfc16c61285bd547");
//		startActivity(intent);
	}

	public static Context getAppContext(){
		return mContext;
	}
}
